<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'admin') {
    header('Location: ../auth/login.php');
    exit();
}

require_once '../config/koneksi.php';

// Proses form submit untuk membuat blog baru
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $title = $_POST['title'];
    $content = $_POST['content'];

    // Membuat slug dari judul
    $slug = strtolower(preg_replace("/[^a-zA-Z0-9\s]/", "", str_replace(" ", "-", $title)));

    // Query untuk menambahkan blog baru ke dalam tabel blogs
    $stmt = $pdo->prepare("INSERT INTO blogs (title, content, slug) VALUES (:title, :content, :slug)");
    $stmt->execute([
        'title' => $title,
        'content' => $content,
        'slug' => $slug
    ]);

    // Redirect setelah berhasil membuat blog
    header('Location: ../admin');
    exit();
}
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tambah Blog - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="bg-dark text-light">
    <?php include('../includes/navbar.php'); ?>

    <div class="container mt-5">
        <h1 class="text-center">Tambah Blog Baru</h1>
        
        <!-- Form untuk membuat blog baru -->
        <form action="create-blog.php" method="POST">
            <div class="mb-3">
                <label for="title" class="form-label">Judul Blog</label>
                <input type="text" class="form-control" id="title" name="title" required>
            </div>
            <div class="mb-3">
                <label for="content" class="form-label">Konten Blog</label>
                <textarea class="form-control" id="content" name="content" rows="10" required></textarea>
            </div>
            <button type="submit" class="btn btn-primary w-100">Simpan Blog</button>
        </form>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>