<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'admin') {
    header('Location: ../auth/login.php');
    exit();
}

require_once '../config/koneksi.php';

// Ambil data pengguna
$stmt = $pdo->query("SELECT * FROM users");
$users = $stmt->fetchAll();

// Ambil daftar blog yang telah diposting
$blogStmt = $pdo->query("SELECT * FROM blogs ORDER BY created_at DESC");
$blogs = $blogStmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Admin - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../assets/css/style.css">
</head>
<body class="bg-dark text-light">
    <?php include('../includes/navbar.php'); ?>

    <div class="container mt-5">
        <h1 class="text-center">Dashboard Admin</h1>
        <p class="text-center">Selamat datang, <strong><?php echo $_SESSION['username']; ?></strong></p>
        
        <div class="row">
            <div class="col-md-4">
                <h3>Manajemen Pengguna</h3>
                <ul class="list-group">
                    <?php foreach ($users as $user): ?>
                        <li class="list-group-item">
                            <?php echo $user['username']; ?> (<?php echo $user['role']; ?>)
                            <a href="edit-user.php?id=<?php echo $user['id']; ?>" class="btn btn-sm btn-warning float-end ml-2">Edit</a>
                            <a href="delete-user.php?id=<?php echo $user['id']; ?>" class="btn btn-sm btn-danger float-end">Hapus</a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>

            <div class="col-md-4">
                <h3>Manajemen Blog</h3>
                <a href="create-blog.php" class="btn btn-success w-100 mb-3">Buat Blog Baru</a>
                <ul class="list-group">
                    <!-- Menampilkan daftar blog yang telah diposting -->
                    <?php foreach ($blogs as $blog): ?>
                        <li class="list-group-item">
                            <strong><?php echo htmlspecialchars($blog['title']); ?></strong><br>
                            <small>Diposting pada: <?php echo $blog['created_at']; ?></small><br>
                            <a href="edit-blog.php?id=<?php echo $blog['id']; ?>" class="btn btn-sm btn-warning mt-2">Edit</a>
                            <a href="delete-blog.php?id=<?php echo $blog['id']; ?>" class="btn btn-sm btn-danger mt-2">Hapus</a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </div>

            <div class="col-md-4">
                <h3>Manajemen Pesanan</h3>
                <ul class="list-group">
                    <li class="list-group-item">Pesanan 1</li>
                    <li class="list-group-item">Pesanan 2</li>
                    <li class="list-group-item">Pesanan 3</li>
                </ul>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>