<?php
session_start();
require_once './config/koneksi.php';

// Ambil semua blog dari database
$stmt = $pdo->prepare("SELECT * FROM blogs ORDER BY created_at DESC");
$stmt->execute();
$blogs = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Blog - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body class="bg-dark text-light">
    <?php include('includes/navbar.php'); ?>

    <div class="container mt-5">
        <h1 class="text-center mb-5">Blog FixPonsel</h1>

        <!-- Daftar blog -->
        <div class="list-group">
            <?php foreach ($blogs as $blog): ?>
                <!-- Perbarui URL di sini, hapus query string -->
                <a href="<?php echo htmlspecialchars($blog['slug']); ?>" class="list-group-item list-group-item-action">
                    <h5 class="mb-1"><?php echo htmlspecialchars($blog['title']); ?></h5>
                    <p class="mb-1"><?php echo substr(htmlspecialchars($blog['content']), 0, 150); ?>...</p>
                    <small>Diposting pada: <?php echo $blog['created_at']; ?></small>
                </a>
            <?php endforeach; ?>
        </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>