<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] !== 'user') {
    header('Location: ../auth/login.php');
    exit();
}

require_once '../config/koneksi.php';

// Ambil data pengguna
$user_id = $_SESSION['user_id'];
$stmt = $pdo->prepare("SELECT * FROM users WHERE id = :id");
$stmt->execute(['id' => $user_id]);
$user = $stmt->fetch();
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard User - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../assets/css/style.css">
</head>
<body class="bg-dark text-light">
    <?php include('../includes/navbar.php'); ?>

    <div class="container mt-5">
        <h1 class="text-center">Dashboard Pengguna</h1>
        <p class="text-center">Selamat datang, <strong><?php echo $user['username']; ?></strong></p>
        
        <div class="row">
            <div class="col-md-6">
                <h3>Informasi Akun</h3>
                <ul class="list-group">
                    <li class="list-group-item">Username: <?php echo $user['username']; ?></li>
                    <li class="list-group-item">Email: <?php echo $user['email']; ?></li>
                    <li class="list-group-item">Role: <?php echo $user['role']; ?></li>
                </ul>
            </div>

            <div class="col-md-6">
                <h3>Riwayat Pesanan</h3>
                <ul class="list-group">
                    <li class="list-group-item">Pesanan 1</li>
                    <li class="list-group-item">Pesanan 2</li>
                    <li class="list-group-item">Pesanan 3</li>
                </ul>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>