<?php
session_start();
require_once './config/koneksi.php';

// Ambil slug dari parameter URL
$slug = basename($_SERVER['REQUEST_URI']);

// Ambil data blog berdasarkan slug
$stmt = $pdo->prepare("SELECT * FROM blogs WHERE slug = :slug");
$stmt->execute(['slug' => $slug]);
$blog = $stmt->fetch();

if (!$blog) {
    echo "Blog tidak ditemukan.";
    exit();
}
?>

<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($blog['title']); ?> - FixPonsel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="bg-dark text-light">
    <?php include('includes/navbar.php'); ?>

    <div class="container mt-5">
        <h1 class="text-center mb-4"><?php echo htmlspecialchars($blog['title']); ?></h1>
        <p class="text-center text-muted">Diposting pada: <?php echo $blog['created_at']; ?></p>
        <div class="content mt-4">
            <p><?php echo nl2br(htmlspecialchars($blog['content'])); ?></p>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>